# opzet/lijk/poging.py
#
#

""" the thing to resolve. """

## IMPORTS

from opzet.lijk.campagne import until, url, tags, names_in, seconds, starttime, pogingen
from opzet.lijk.gemeenten import gemeenten_txt
from opzet.utils.time import elapsed_days
from opzet.clock import Repeater
from opzet.kernel import kernel

import random
import time

## ALARMS

def pogingen(event):
    delta = time.time() - starttime
    next = until(delta)
    name = "poging"
    nr = int(delta / seconds.get(name))
    txt = "%s %d (%s) %s" % (name.upper(), nr, elapsed_days(next.get(name)), tags.get(name)) 
    if name in names_in: txt += " - %s" % random.choice(gemeenten_txt.split("\n"))
    event.reply(txt.strip())

kernel.register("pogingen", pogingen)

def poging(*args, **kwargs):
    delta = time.time() - starttime
    next = until(delta)
    name = "poging"
    nr = int(delta / seconds.get(name))
    if int(seconds.get(name) - delta) % seconds.get(name) == 0: 
        txt = "%s %d (%s) %s" % (name.upper(), nr, elapsed_days(next.get(name)), tags.get(name)) 
        if name in names_in: txt += " - %s" % random.choice(gemeenten_txt.split("\n"))
        kernel.announce(txt.strip())

## INIT

def init(*args, **kwargs):
    todo = Repeater(poging, 1)
    kernel.put(todo.start)
